## tesseract 4.1

=== DESCRIPTION ===
Package: tesseract
Type: Package
Title: Open Source OCR Engine
Version: 4.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: Bindings to 'Tesseract' <https://opensource.google.com/projects/tesseract>: 
     a powerful optical character recognition (OCR) engine that supports over 100 languages.
     The engine is highly configurable in order to tune the detection algorithms and
     obtain the best possible results.
License: Apache License 2.0
URL: https://github.com/ropensci/tesseract
BugReports: https://github.com/ropensci/tesseract/issues
SystemRequirements: Tesseract >= 3.03 (libtesseract-dev /
        tesseract-devel) and Leptonica (libleptonica-dev /
        leptonica-devel). On Debian you need to install the English
        training data separately (tesseract-ocr-eng)
Imports: Rcpp (>= 0.12.12), pdftools (>= 1.5), curl, rappdirs, digest
LinkingTo: Rcpp
RoxygenNote: 6.1.0
Suggests: magick (>= 1.7), spelling, knitr, tibble, rmarkdown
Encoding: UTF-8
VignetteBuilder: knitr
Language: en-US
NeedsCompilation: yes
Packaged: 2019-07-25 20:14:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-07-25 20:50:02 UTC

## tesseract 4.1.0

=== debian/changelog ===
tesseract (4.1.0-2) unstable; urgency=medium

  * New upstream release.
  * disable patch - man.diff
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: 4.1
  * Commit: 5280bbcade4e2dec5eef439a6e189504c2eadcd9
  * Date: 1562502848
  * git changelog:
  *  5280bbca - 4.1.0 Release
  *  22fb70cb - Fix handling of single pages from multipage TIFF files
    (issue #2537)
  *  08ca7b84 - Fix linker error with disabled legacy engine (issue
    #2532)
  *  48641b07 - Remove outdated build information for Android
  *  e53e1050 - genericvector: Remove redundant declarations
  *  f4698154 - Revert "Replace callback by direct function calls in
    TessBaseAPI::GetComponentImages"
  *  792b39d5 - Revert "Move LSTMTrainer from libtesseract to
    libtesseract_training"
  *  c310fef8 - Fix crash in Tesseract::classify_word_and_language()
    when tessedit_timing_debug is enabled
  *  d8494f32 - Revert "Simplify indirect call of
    LMPainPoints::GeneratePainPoint"
  *  1d5a320d - Revert "Simplify class LSTMTrainer"
  *  10f5bffa - decrease reuired version of cmake to build as 3.6 is
    still in use. Side effect no support for c++17 in CXX_STANDARD
  *  6157b8b5 - update Changelog (main 4.1 changes)
  *  1a205b8b - cmake: Fix build with OpenMP (issue #2462)
  *  3dff32e4 - Fix check for icu 52.1 or newer
  *  4535e460 - Update enum from unicode/uchar.h
  *  4b03d13f - unittest: Fix function QCHECK (issue #2517)
  *  afb36b35 - Add VS2019
  *  20a0c614 - Fix format string for 64 bit integer
  *  daac30e6 - baseapi: Remove old code
  *  1ce4c2f8 - Replace code using _splitpath_s (win32)
  *  1a279d11 - Remove outdated comment
  *  dc2dada0 - Remove dummy code from
    LSTMTrainer::InitTensorFlowNetwork
  *  7b589622 - Simplify unittest/Makefile.am
  *  f44be2e8 - cmake: Build training tools also on Linux and macOS
  *  c967f892 - Add package libpango1.0-dev to Travis configuration
  *  a30d4333 - Move LSTMTrainer from libtesseract to
    libtesseract_training
  *  1a44ce31 - Replace callback by direct function calls in
    TessBaseAPI::GetComponentImages
  *  563a1717 - Simplify class LSTMTrainer
  *  c5525c44 - Remove wrong description for
    GenericVector::set_compare_callback and simplify code
  *  6a0fc4f8 - Simplify indirect call of
    LMPainPoints::GeneratePainPoint
  *  c614907e - tesstrain_utils.sh: remove redundant code
  *  6a39b81d - tesscallback: Remove more unused code
  *  3cdafa0f - 4.1.0 Release candidate 4
  *  d7d05000 - Remove code for embedded build
  *  4d5eb6d3 - Remove old and misguiding build steps on windows.
  *  2f51af0f - ocrfeatures: Remove locally used functions from global
    interface
  *  9491538f - unittest: Add missing Leptonica library for
    textlineprojection_test
  *  9a5f7247 - Replace TessBaseAPI::CatchSignals by a dummy function
  *  cf512d38 - 4.1.0-rc3 => VERSION
  *  71608886 - Revert "Integrated Timesteps per symbol into
    ChoiceIterator"
  *  78ced35a - restore CatchSignals to fix API compatibility
  *  c5105c53 - fix build
  *  4d3455e1 - Integrated Timesteps per symbol into ChoiceIterator
  *  9897bc9c - cmake: backport master changes
  *  5d23dfa5 - create OUTPUT_DIR did not exist; fixes #2497
  *  153b921c - unittest: Catch missing eng.traineddata in baseapi_test
  *  ce82facc - unittest: Fix and enable normstrngs_test
  *  c01b3229 - unittest: Fix and enable textlineprojection_test
  *  bb2ea347 - unittest: Fix and enable scanutils_test
  *  3729b7b3 - Allow saving of box/tiff pairs during base tesseract
    training
  *  dfcdfe56 - Allow saving of box/tiff pairs during base tesseract
    training
  *  706a2330 - Allow saving of box/tiff pairs during base tesseract
    training
  *  35b88262 - unittest: Fix and enable ligature_table_test
  *  15da5c12 - [sw] Remove inexistent include dirs.
  *  5b32be82 - [sw] Exclude missing include dir.
  *  f9da14ec - Update appveyor.yml
  *  b6f9ab66 - Update sw script.
  *  249acaed - cmake: using c++ standard for g++
  *  2f6f77bb - Revert "Do not hardcode c++11 for unix builds"
  *  796129ea - Fix OpenMP builds on Unix
  *  9fcef36b - Do not hardcode c++11 for unix builds
  *  911a9916 - Detect and use C++17 support for CMake builds
  *  8204ca08 - Add dot product implementation using std::inner_product
  *  d33ced19 - Use C++17 compiler if possible
  *  26f41261 - Update documentation for unicharset_extractor
  *  ff45801d - fix packaging appveyor artifacts
  *  6e7dcc12 - Fix crash in PreloadRenderers with nullptr outputbase
  *  b0e0e27a - Fix build for unittests
  *  90b12b3a - scanedg: Add const attributes
  *  fdb3f58c - unittest: Remove unused methods
  *  9b9d4bf0 - Remove EXTERN macro
  *  927d1b8f - Remove unused macros
  *  831a3e61 - configure: Fix cross builds (check for TensorFlow
    header)
  *  337a467d - Fix compiler errors for old gcc
  *  4712a5eb - Remove some unused functions, constants and variables
  *  38f34862 - training: Add missing static attributes
  *  66e56891 - training: Move declarations from cpp files to h file
  *  6dfb049c - featdefs: Add missing include statement
  *  b4a7f51c - Add missing static attributes
  *  7f32cb65 - bits16: Modernize code
  *  d809200b - Do not link librt on OpenBSD
  *  2160ebfd - unicodes: Optimize code by using constexpr and removing
    unused globals
  *  cb6cf802 - featdefs: Optimize code by using constexpr
  *  a4e13782 - Fix broken build for Leptonica < 1.77
  *  9e23dc28 - Remove classify/cutoffs.h
  *  8b875c00 - fix '--enable-visibility' build
  *  516ada66 - cmake: respect -DTESSDATA_PREFIX=/path (on linux)
  *  227452f8 - Replace Tensorflow by TensorFlow
  *  34311b36 - Fix linking of unittest with Tensorflow
  *  6c68f084 - Implement check for Tensorflow header file
  *  bed08909 - Remove "third_party/" in comments and update path names
  *  b7537e94 - Support build with Tensorflow
  *  39c80095 - cmake: fix tiff linking to executable if tiffio.h is
    found
  *  e27a07e0 - fix missing tiff format


## tesseract 4.1.1

=== DESCRIPTION ===
Package: tesseract
Type: Package
Title: Open Source OCR Engine
Version: 4.1.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: Bindings to 'Tesseract' <https://opensource.google/projects/tesseract>: 
     a powerful optical character recognition (OCR) engine that supports over 100 languages.
     The engine is highly configurable in order to tune the detection algorithms and
     obtain the best possible results.
License: Apache License 2.0
URL: https://docs.ropensci.org/tesseract/ (website)
        https://github.com/ropensci/tesseract (devel)
BugReports: https://github.com/ropensci/tesseract/issues
SystemRequirements: Tesseract >= 3.03 (libtesseract-dev /
        tesseract-devel) and Leptonica (libleptonica-dev /
        leptonica-devel). On Debian you need to install the English
        training data separately (tesseract-ocr-eng)
Imports: Rcpp (>= 0.12.12), pdftools (>= 1.5), curl, rappdirs, digest
LinkingTo: Rcpp
RoxygenNote: 7.1.1
Suggests: magick (>= 1.7), spelling, knitr, tibble, rmarkdown
Encoding: UTF-8
VignetteBuilder: knitr
Language: en-US
NeedsCompilation: yes
Packaged: 2021-05-02 14:36:01 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2021-05-10 16:10:02 UTC

=== src/training/CMakeLists.txt ===
#
# tesseract
#

if (UNIX AND NOT ANDROID)
    set(LIB_pthread pthread)
endif()

if (CPPAN_BUILD OR SW_BUILD)
    set(ICU_FOUND 1)
endif()

# experimental
if (MSVC AND NOT CPPAN_BUILD AND NOT SW_BUILD AND NOT USE_SYSTEM_ICU)
    include(CheckTypeSize)
    check_type_size("void *" SIZEOF_VOID_P)

    if (SIZEOF_VOID_P EQUAL 8)
        set(X64 1)
        set(ARCH_DIR_NAME 64)
    elseif (SIZEOF_VOID_P EQUAL 4)
        set(X86 1)
        set(ARCH_DIR_NAME 32)
    else()
        message(FATAL_ERROR "Cannot determine target architecture")
    endif()

    set(icu_dir "${CMAKE_CURRENT_BINARY_DIR}/icu")
    set(icu_archive "${icu_dir}/icu${ARCH_DIR_NAME}.zip")

    if (X86)
        set(icu_hash 45167a240b60e36b59a87eda23490ce4)
    else()
        set(icu_hash 480c72491576c048de1218c3c5519399)
    endif()

    message(STATUS "Downloading latest ICU binaries")

    file(DOWNLOAD
        "http://download.icu-project.org/files/icu4c/56.1/icu4c-56_1-Win${ARCH_DIR_NAME}-msvc10.zip"
        "${icu_archive}"
        SHOW_PROGRESS
        INACTIVITY_TIMEOUT 60 # seconds
        EXPECTED_HASH MD5=${icu_hash}
    )
    execute_process(COMMAND ${CMAKE_COMMAND} -E tar xz "${icu_archive}"
        WORKING_DIRECTORY "${icu_dir}"
        RESULT_VARIABLE __result
    )
    if(NOT __result EQUAL 0)
        message(FATAL_ERROR "error ${__result}")
    endif()

    set(ICU_ROOT ${icu_dir}/icu)
endif()
# experimental

if (NOT CPPAN_BUILD AND NOT SW_BUILD)
    find_package(ICU 52.1 COMPONENTS uc i18n)
endif()

########################################
# LIBRARY tessopt
########################################

add_library                 (tessopt tessopt.cpp tessopt.h)
project_group               (tessopt "Training Tools")


########################################
# LIBRARY common_training
########################################

set(common_training_src
    commandlineflags.cpp
    commandlineflags.h
    commontraining.cpp
    commontraining.h
    errorcounter.cpp
    errorcounter.h
    mastertrainer.cpp
    mastertrainer.h
)
add_library                 (common_training ${common_training_src})
target_link_libraries       (common_training libtesseract tessopt)
project_group               (common_training "Training Tools")


########################################
# EXECUTABLE ambiguous_words
########################################

add_executable              (ambiguous_words ambiguous_words.cpp)
target_link_libraries       (ambiguous_words libtesseract)
project_group               (ambiguous_words "Training Tools")
install                     (TARGETS ambiguous_words RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE classifier_tester
########################################

add_executable              (classifier_tester classifier_tester.cpp)
target_link_libraries       (classifier_tester common_training)
project_group               (classifier_tester "Training Tools")
install                     (TARGETS classifier_tester RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE combine_tessdata
########################################

add_executable              (combine_tessdata combine_tessdata.cpp)
target_link_libraries       (combine_tessdata libtesseract)
project_group               (combine_tessdata "Training Tools")
install                     (TARGETS combine_tessdata RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE cntraining
########################################

add_executable              (cntraining cntraining.cpp)
target_link_libraries       (cntraining common_training)
project_group               (cntraining "Training Tools")
install                     (TARGETS cntraining RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE dawg2wordlist
########################################

add_executable              (dawg2wordlist dawg2wordlist.cpp)
target_link_libraries       (dawg2wordlist libtesseract)
project_group               (dawg2wordlist "Training Tools")
install                     (TARGETS dawg2wordlist RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE mftraining
########################################

add_executable              (mftraining mftraining.cpp mergenf.cpp mergenf.h)
target_link_libraries       (mftraining common_training)
project_group               (mftraining "Training Tools")
install                     (TARGETS mftraining RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE shapeclustering
########################################

add_executable              (shapeclustering shapeclustering.cpp)
target_link_libraries       (shapeclustering common_training)
project_group               (shapeclustering "Training Tools")
install                     (TARGETS shapeclustering RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE wordlist2dawg
########################################

add_executable              (wordlist2dawg wordlist2dawg.cpp)
target_link_libraries       (wordlist2dawg libtesseract)
project_group               (wordlist2dawg "Training Tools")
install                     (TARGETS wordlist2dawg RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


if (ICU_FOUND)

if (NOT CPPAN_BUILD AND NOT SW_BUILD)
include_directories(${ICU_INCLUDE_DIRS})
endif()

########################################
# LIBRARY unicharset_training
########################################

set(unicharset_training_src
    icuerrorcode.cpp
    icuerrorcode.h
    fileio.cpp
    fileio.h
    lang_model_helpers.cpp
    lang_model_helpers.h
    lstmtester.cpp
    lstmtester.h
    normstrngs.cpp
    normstrngs.h
    unicharset_training_utils.cpp
    unicharset_training_utils.h

    validate_grapheme.h validate_indic.h validate_khmer.h
    validate_javanese.h validate_myanmar.h validator.h
    validate_grapheme.cpp validate_indic.cpp validate_khmer.cpp
    validate_javanese.cpp validate_myanmar.cpp validator.cpp

)
add_library                 (unicharset_training ${unicharset_training_src})
if (CPPAN_BUILD)
target_link_libraries       (unicharset_training common_training pvt.cppan.demo.unicode.icu.i18n)
elseif (SW_BUILD)
target_link_libraries       (unicharset_training common_training org.sw.demo.unicode.icu.i18n)
else()
target_link_libraries       (unicharset_training common_training ${ICU_LIBRARIES})
endif()
project_group               (unicharset_training "Training Tools")


########################################
# EXECUTABLE combine_lang_model
########################################

add_executable              (combine_lang_model combine_lang_model.cpp)
target_link_libraries       (combine_lang_model unicharset_training)
project_group               (combine_lang_model "Training Tools")
install                     (TARGETS combine_lang_model RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE lstmeval
########################################

add_executable              (lstmeval lstmeval.cpp)
target_link_libraries       (lstmeval unicharset_training ${LIB_pthread})
project_group               (lstmeval "Training Tools")
install                     (TARGETS lstmeval RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE lstmtraining
########################################

add_executable              (lstmtraining lstmtraining.cpp)
target_link_libraries       (lstmtraining unicharset_training ${LIB_pthread})
project_group               (lstmtraining "Training Tools")
install                     (TARGETS lstmtraining RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE set_unicharset_properties
########################################

add_executable              (set_unicharset_properties set_unicharset_properties.cpp)
target_link_libraries       (set_unicharset_properties unicharset_training)
project_group               (set_unicharset_properties "Training Tools")
install                     (TARGETS set_unicharset_properties RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE unicharset_extractor
########################################

add_executable              (unicharset_extractor unicharset_extractor.cpp)
target_link_libraries       (unicharset_extractor libtesseract tessopt unicharset_training)
project_group               (unicharset_extractor "Training Tools")
install                     (TARGETS unicharset_extractor RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE text2image
########################################

if (NOT CPPAN_BUILD AND NOT SW_BUILD)
find_package(PkgConfig)
endif()

if (PKG_CONFIG_FOUND OR CPPAN_BUILD OR SW_BUILD)

if (PKG_CONFIG_FOUND)
pkg_check_modules(Pango REQUIRED pango>=1.22.0)
pkg_check_modules(Cairo REQUIRED cairo)
pkg_check_modules(PangoFt2 REQUIRED pangoft2)
pkg_check_modules(PangoCairo REQUIRED pangocairo)
pkg_check_modules(FontConfig REQUIRED fontconfig)
endif()

set(text2image_src
    text2image.cpp
    boxchar.cpp
    boxchar.h
    degradeimage.cpp
    degradeimage.h
    fileio.h
    fileio.cpp
    ligature_table.cpp
    ligature_table.h
    normstrngs.cpp
    normstrngs.h
    pango_font_info.cpp
    pango_font_info.h
    stringrenderer.cpp
    stringrenderer.h
    tlog.cpp
    tlog.h
    util.h
    icuerrorcode.h
)

add_executable              (text2image ${text2image_src})
target_link_libraries       (text2image unicharset_training)
if (PKG_CONFIG_FOUND)
target_include_directories  (text2image BEFORE PRIVATE ${Cairo_INCLUDE_DIRS} ${Pango_INCLUDE_DIRS})
target_compile_definitions  (text2image PRIVATE -DPANGO_ENABLE_ENGINE)
target_link_libraries       (text2image
    ${Pango_LIBRARIES}
    ${Cairo_LIBRARIES}
    ${PangoCairo_LIBRARIES}
    ${PangoFt2_LIBRARIES}
    ${FontConfig_LIBRARIES}
)
endif()
if (CPPAN_BUILD)
target_link_libraries       (text2image pvt.cppan.demo.gnome.pango.pangocairo)
elseif (SW_BUILD)
target_link_libraries       (text2image org.sw.demo.gnome.pango.pangocairo)
endif()
project_group               (text2image "Training Tools")
install                     (TARGETS text2image RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)

endif()
endif(ICU_FOUND)

###############################################################################

=== debian/changelog ===
tesseract (4.1.1-2build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:24 +0100

tesseract (4.1.1-2build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:52:57 +0100

tesseract (4.1.1-2) unstable; urgency=medium

  * Update debian/control:
    - add build dependency from autoconf-archive (closes: #949119)
    - add dependency libarchive-dev for libtesseract-dev (closes: #949140)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jan 2020 08:48:59 +0300

tesseract (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control:
    - delete build dependency from autoconf-archive
    - add build dependency on libarchive-dev
    - update dependency libtesseract4 for tesseract-ocr (closes: #942760)
  * Bump Standards-Version to 4.4.1
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: 4.1
  * Commit: f4ef2f2050f4c25b28bdbf0063b7d2eb30f41cf7
  * Date: 1577374826
  * git changelog:
  *  f4ef2f20 - 4.1.1 Release
  *  01fb4c7f - BlockPolygon: clip to image rectangle
  *  36664031 - BlockPolygon: unrotate from internal to image
    coordinates
  *  0ab9839a - Use /W4 instead of /Wall for MSVC (fix issue #2816)
  *  6343f0ab - Added ComposedBlock level to Alto output
  *  42ec3137 - ignore qtcreator help files
  *  88174fea - backport changes pagesegmode_test.cc from master
  *  7389a275 - Provide more details for successful running of
    unittests.
  *  9d967cb1 - unittest: Fix build and simplify build rules
  *  69cbda61 - unittest: Initialize non-static class members in
    RecodeBeamTest (CID 1402765)
  *  85477214 - unittest: Fix two issues reported by Coverity Scan (CID
    1402761, 1402755)
  *  bdad0686 - unittest: Add missing precision specifiers (CID 1402752)
  *  95733433 - unittest: Don't build tatweel_test when TensorFlow is
    disabled
  *  2b04ff76 - unittest: Add missing libraries to fix linker errors
  *  16b1e5d2 - Update test submodule and fix pagesegmode_test
  *  50a41b63 - Update test submodule and fix tatweel_test
  *  cb762753 - Update sw.cpp
  *  cafdc7fa - fix sw build
  *  0c599556 - fix ABI compatibility (move training files back to 4.1.0
    location)
  *  def1dc46 - fix training build
  *  b559c330 - cmake: fix typo
  *  21c83b80 - Use "C" locale for printing parameters
  *  6d8ef9a1 - fix using bilevel tiff in pdf output
  *  eaf1f696 - Fix issue #2748
  *  1ce3cd28 - Use BRT_UNKNOWN instead of BRT_NOISE to initialize
    ColPartition::blob_type_
  *  d20db0f2 - Add missing libraries in configuration for pkg-config
  *  41ec6271 - Exposed the text2image option --ptsize to tesstrain.sh.
    Text2image has the option --ptsize which defaults to 12.  This
    option is not exposed through tesstrain.sh; thus, you cannot use
    tesstrain.sh to explore training with different font sizes.  I made
    a small modification to expose the --ptsize option to tesstrain.sh.
    It defaults to 12 if not specified.
  *  975c626d - Fail if no valid lstmf file was written (fix issue
    #2741)
  *  185d237c - Don't create an empty lstmf file
  *  2f011aec - Use pre-calculated lookup tables for all C++ compilers
  *  13237d85 - Fix build for Intel Compiler (issue #2736)
  *  87291fff - Improve ABI compatibility with version 4.1.0
  *  960583ca - partly Revert "Remove global array kPolyBlockNames from
    Tesseract library" to improve backwards API compatibility
  *  c423ad42 - partly Revert "Add more initial values for class
    Classify from constructor to header file" to improve backwards API
    compatibility
  *  b36cd639 - Revert "Delete copy constructor and assignment operator
    for TessBaseAPI (fix issue #874)"
  *  d423fb16 - add cppan depreciate info
  *  979b17f2 - fix sw build (add missing part from Move LSTMTrainer
    from libtesseract to libtesseract_training)
  *  b8089979 - fix cmake training build
  *  a2444bc5 - fix string conversion in lstmtrainer
  *  cca107d5 - fix autotools build of tesseract library
  *  2b4212c2 - add untracked src/training/lstmtrainer.h
  *  0cbd8297 - 4.1.1 Release Candidate 1
  *  dadf1329 - cmake: fix clan openmp build on windows
  *  710fa82f - fix inverting (Bilevel BW png) in pdf; fixes # 2059
  *  f27ca3e3 - Add pageseg_apply_music_mask option to allow disabling
    the music mask
  *  6a671e39 - remove legacy parameter disable_character_fragments from
    lstm.train
  *  cdd2a887 - src/ccutil/bits16.h remove warnings (#2726)
  *  23669398 - Remove warning C4312
  *  9295381d - Subject: training: show error description for
    open/delete file
  *  4bbfabaa - Delete copy constructor and assignment operator for
    TessBaseAPI (fix issue #874)
  *  e3441f0c - Copy resolution of source image (fix issue #1702)
  *  090d3c4b - Fix typo in README.md (found by codespell)
  *  7488c85e - fix memory leak at PangoFontInfo::CanRenderString
  *  080f83a1 - Change from HTTP to HTTPS
  *  4a5ec186 - test for synthesized font faces.
  *  f9d1bda7 - cmake: add minimum required version for pango and icu
    based on autotools
  *  99645e3c - text2image: show pango version
  *  077616fd - quadlsq: Fix warnings from LGTM
  *  02d916a6 - Use "C" locale for PDF output
  *  efc2b760 - Use "C" locale for ALTO output
  *  83af58c2 - Fix build error (undefined local variable)
  *  6a8be20b - Remove unimplemented +/- for parameter files
  *  c7e9f31b - do not exit if not existing parameter is used. fixes
    #1334
  *  03a05869 - Report when tesseract legacy engine not present. (fix
    issue #2053)
  *  17828fc7 - Fix isolated build.
  *  9c52eb0c - Add new parameter "document_title" to set the title in
    OCR output files
  *  e43eb910 - sw.cpp: Sync list of public headers with Autotools build
  *  fc45fc51 - CMake: Sync list of public headers with Autotools build
  *  a5670421 - speed optimisation - add the option to disable automatic


=== debian/control ===
Source: tesseract
Section: graphics
Priority: optional
Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 9), libleptonica-dev (>= 1.75.3),
               automake, libtool, libarchive-dev, libpango1.0-dev, libcairo2-dev, libicu-dev,
               libpng-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, git, autoconf-archive, asciidoc,
               xsltproc, docbook-xsl, docbook-xml, tesseract-ocr-eng (>= 4.00~)
Standards-Version: 4.4.1
Homepage: https://github.com/tesseract-ocr/
Vcs-Git: https://github.com/AlexanderP/tesseract-debian.git
Vcs-Browser: https://github.com/AlexanderP/tesseract-debian

Package: tesseract-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 tesseract-ocr-eng (>= 4.00~), tesseract-ocr-osd (>= 4.00~), libtesseract4 (= ${binary:Version}), liblept5 (>= 1.75.3)
Replaces: tesseract-ocr-data
Description: Tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the command line tool.

Package: libtesseract-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtesseract4 (= ${binary:Version}), ${misc:Depends}, libleptonica-dev, libarchive-dev
Replaces: tesseract-ocr-dev (<< 3.0.1-1~)
Breaks: tesseract-ocr-dev (<< 3.0.1-1~)
Description: Development files for the tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the development files, static
 library, and header files.

Package: libtesseract4
Section: libs
Multi-Arch: same
Breaks: tesseract-ocr (<< 3.01~), ocropus (<< 0.4.0~),
 tesseract-afr (<< 4.00~), tesseract-ara (<< 4.00~), tesseract-aze (<< 4.00~),
 tesseract-bel (<< 4.00~), tesseract-ben (<< 4.00~), tesseract-bul (<< 4.00~),
 tesseract-cat (<< 4.00~), tesseract-ces (<< 4.00~), tesseract-chi-sim (<< 4.00~),
 tesseract-chi-tra (<< 4.00~), tesseract-chr (<< 4.00~), tesseract-dan (<< 4.00~),
 tesseract-deu (<< 4.00~), tesseract-deu-frak (<< 4.00~), tesseract-ell (<< 4.00~),
 tesseract-eng (<< 4.00~), tesseract-enm (<< 4.00~), tesseract-epo (<< 4.00~),
 tesseract-equ (<< 4.00~), tesseract-est (<< 4.00~), tesseract-eus (<< 4.00~),
 tesseract-fin (<< 4.00~), tesseract-fra (<< 4.00~), tesseract-frk (<< 4.00~),
 tesseract-frm (<< 4.00~), tesseract-glg (<< 4.00~), tesseract-grc (<< 4.00~),
 tesseract-heb (<< 4.00~), tesseract-hin (<< 4.00~), tesseract-hrv (<< 4.00~),
 tesseract-hun (<< 4.00~), tesseract-ind (<< 4.00~), tesseract-isl (<< 4.00~),
 tesseract-ita (<< 4.00~), tesseract-ita-old (<< 4.00~), tesseract-jpn (<< 4.00~),
 tesseract-kan (<< 4.00~), tesseract-kor (<< 4.00~),  tesseract-lav (<< 4.00~),
 tesseract-lit (<< 4.00~), tesseract-mal (<< 4.00~), tesseract-mkd (<< 4.00~),
 tesseract-mlt (<< 4.00~), tesseract-msa (<< 4.00~), tesseract-nld (<< 4.00~),
 tesseract-nor (<< 4.00~), tesseract-ocr-amh (<< 4.00~), tesseract-ocr-asm (<< 4.00~),
 tesseract-ocr-aze-cyrl (<< 4.00~), tesseract-ocr-bod (<< 4.00~), tesseract-ocr-bos (<< 4.00~),
 tesseract-ocr-ceb (<< 4.00~), tesseract-ocr-cym (<< 4.00~), tesseract-ocr-dan-frak (<< 4.00~),
 tesseract-ocr-dzo (<< 4.00~), tesseract-ocr-fas (<< 4.00~), tesseract-ocr-gle (<< 4.00~),
 tesseract-ocr-gle-uncial (<< 4.00~), tesseract-ocr-grc (<< 4.00~), tesseract-ocr-guj (<< 4.00~),
 tesseract-ocr-hat (<< 4.00~), tesseract-ocr-iku (<< 4.00~), tesseract-ocr-jav (<< 4.00~),
 tesseract-ocr-kat (<< 4.00~), tesseract-ocr-kat-old (<< 4.00~), tesseract-ocr-kaz (<< 4.00~),
 tesseract-ocr-khm (<< 4.00~), tesseract-ocr-kir (<< 4.00~), tesseract-ocr-kur (<< 4.00~),
 tesseract-ocr-lao (<< 4.00~), tesseract-ocr-lat (<< 4.00~), tesseract-ocr-mar (<< 4.00~),
 tesseract-ocr-mya (<< 4.00~), tesseract-ocr-nep (<< 4.00~), tesseract-ocr-ori (<< 4.00~),
 tesseract-ocr-pan (<< 4.00~), tesseract-ocr-pus (<< 4.00~), tesseract-ocr-san (<< 4.00~),
 tesseract-ocr-sin (<< 4.00~), tesseract-ocr-srp-latn (<< 4.00~), tesseract-ocr-syr (<< 4.00~),
 tesseract-ocr-tgk (<< 4.00~), tesseract-ocr-tir (<< 4.00~), tesseract-ocr-uig (<< 4.00~),
 tesseract-ocr-urd (<< 4.00~), tesseract-ocr-uzb (<< 4.00~), tesseract-ocr-uzb-cyrl (<< 4.00~),
 tesseract-ocr-yid (<< 4.00~), tesseract-pol (<< 4.00~), tesseract-por (<< 4.00~),
 tesseract-ron (<< 4.00~), tesseract-rus (<< 4.00~), tesseract-slk (<< 4.00~),
 tesseract-slk-frak (<< 4.00~), tesseract-slv (<< 4.00~), tesseract-spa (<< 4.00~),
 tesseract-spa-old (<< 4.00~), tesseract-sqi (<< 4.00~), tesseract-srp (<< 4.00~),
 tesseract-swa (<< 4.00~), tesseract-swe (<< 4.00~), tesseract-tam (<< 4.00~),
 tesseract-tel (<< 4.00~), tesseract-tgl (<< 4.00~), tesseract-tha (<< 4.00~),
 tesseract-tur (<< 4.00~), tesseract-ukr (<< 4.00~), tesseract-vie (<< 4.00~)
Replaces: tesseract-ocr (<< 3.01~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblept5 (>= 1.75.3)
Description: Tesseract OCR library
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the shared library.

Package: tesseract-ocr-all
Architecture: all
Depends: ${misc:Depends}, tesseract-ocr,
        tesseract-ocr-bul, tesseract-ocr-cat, tesseract-ocr-ces, tesseract-ocr-dan,
        tesseract-ocr-deu, tesseract-ocr-ell, tesseract-ocr-eng, tesseract-ocr-fin,
        tesseract-ocr-fra, tesseract-ocr-hun, tesseract-ocr-ind, tesseract-ocr-ita,
        tesseract-ocr-lav, tesseract-ocr-lit, tesseract-ocr-nld, tesseract-ocr-nor,
        tesseract-ocr-pol, tesseract-ocr-por, tesseract-ocr-ron, tesseract-ocr-rus,
        tesseract-ocr-slk, tesseract-ocr-slv, tesseract-ocr-spa, tesseract-ocr-srp,
        tesseract-ocr-swe, tesseract-ocr-tur, tesseract-ocr-ukr, tesseract-ocr-vie,
        tesseract-ocr-chi-sim, tesseract-ocr-chi-tra, tesseract-ocr-amh, tesseract-ocr-asm,
        tesseract-ocr-aze-cyrl, tesseract-ocr-bod, tesseract-ocr-bos, tesseract-ocr-ceb,
        tesseract-ocr-cym, tesseract-ocr-dzo, tesseract-ocr-fas, tesseract-ocr-gle,
        tesseract-ocr-guj, tesseract-ocr-hat, tesseract-ocr-iku, tesseract-ocr-jav,
        tesseract-ocr-kat, tesseract-ocr-kat-old, tesseract-ocr-kaz, tesseract-ocr-khm,
        tesseract-ocr-kir, tesseract-ocr-lao, tesseract-ocr-lat, tesseract-ocr-mar,
        tesseract-ocr-mya, tesseract-ocr-nep, tesseract-ocr-ori, tesseract-ocr-pan,
        tesseract-ocr-pus, tesseract-ocr-san, tesseract-ocr-sin, tesseract-ocr-srp-latn,
        tesseract-ocr-syr, tesseract-ocr-tgk, tesseract-ocr-tir, tesseract-ocr-uig,
        tesseract-ocr-urd, tesseract-ocr-uzb, tesseract-ocr-uzb-cyrl, tesseract-ocr-yid,
        tesseract-ocr-osd, tesseract-ocr-afr, tesseract-ocr-ara, tesseract-ocr-aze,
        tesseract-ocr-bel, tesseract-ocr-ben, tesseract-ocr-chr, tesseract-ocr-enm,
        tesseract-ocr-epo, tesseract-ocr-est, tesseract-ocr-eus, tesseract-ocr-frk,
        tesseract-ocr-frm, tesseract-ocr-glg, tesseract-ocr-heb, tesseract-ocr-hin,
        tesseract-ocr-hrv, tesseract-ocr-isl, tesseract-ocr-ita-old, tesseract-ocr-jpn,
        tesseract-ocr-kan, tesseract-ocr-kor, tesseract-ocr-mal, tesseract-ocr-mkd,
        tesseract-ocr-mlt, tesseract-ocr-msa, tesseract-ocr-spa-old, tesseract-ocr-sqi,
        tesseract-ocr-swa, tesseract-ocr-tam, tesseract-ocr-tel, tesseract-ocr-tha,
        tesseract-ocr-bre, tesseract-ocr-chi-sim-vert, tesseract-ocr-chi-tra-vert,
        tesseract-ocr-cos, tesseract-ocr-div, tesseract-ocr-fao, tesseract-ocr-fil,
        tesseract-ocr-fry, tesseract-ocr-gla, tesseract-ocr-hye, tesseract-ocr-jpn-vert,
        tesseract-ocr-kor-vert, tesseract-ocr-kmr, tesseract-ocr-ltz, tesseract-ocr-mon,
        tesseract-ocr-mri, tesseract-ocr-oci, tesseract-ocr-que, tesseract-ocr-snd,
        tesseract-ocr-sun, tesseract-ocr-tat, tesseract-ocr-ton, tesseract-ocr-yor,
        tesseract-ocr-script-arab, tesseract-ocr-script-armn, tesseract-ocr-script-beng,
        tesseract-ocr-script-cans, tesseract-ocr-script-cher, tesseract-ocr-script-cyrl,
        tesseract-ocr-script-deva, tesseract-ocr-script-ethi, tesseract-ocr-script-frak,
        tesseract-ocr-script-geor, tesseract-ocr-script-grek, tesseract-ocr-script-gujr,
        tesseract-ocr-script-guru, tesseract-ocr-script-hans, tesseract-ocr-script-hans-vert,
        tesseract-ocr-script-hant, tesseract-ocr-script-hant-vert, tesseract-ocr-script-hang,
        tesseract-ocr-script-hang-vert, tesseract-ocr-script-hebr, tesseract-ocr-script-jpan,
        tesseract-ocr-script-jpan-vert, tesseract-ocr-script-knda, tesseract-ocr-script-khmr,
        tesseract-ocr-script-laoo, tesseract-ocr-script-latn, tesseract-ocr-script-mlym,
        tesseract-ocr-script-mymr, tesseract-ocr-script-orya, tesseract-ocr-script-sinh,
        tesseract-ocr-script-syrc, tesseract-ocr-script-taml, tesseract-ocr-script-telu,
        tesseract-ocr-script-thaa, tesseract-ocr-script-thai, tesseract-ocr-script-tibt,
        tesseract-ocr-script-viet, tesseract-ocr-grc
Description: Tesseract OCR with all language and script packages
 This is a metapackage for Tesseract OCR and includes all supported
 languages and scripts.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += -Wall -g -fPIC -DTESSDATA_PREFIX=/usr/share/tesseract-ocr/4.00

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	make -j$(NUMJOBS)
	make -j$(NUMJOBS) training

override_dh_install:
	cd $(CURDIR)/src/training/ && chmod +x *.sh
	cd $(CURDIR)/debian/tmp/usr/bin && for i in $$(ls *.sh); do rm -f $${i}; done
	dh_install

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr training-install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./src/api/tesseract -v
	./src/api/tesseract ./test/testing/phototest.tif -
endif

override_dh_auto_clean:
	dh_auto_clean
	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile

override_dh_auto_configure:
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-tessdata-prefix --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CFLAGS)" LDFLAGS="-llept -Wl,-z,defs $(LDFLAGS)"

=== debian/watch ===
version=3
https://github.com/tesseract-ocr/tesseract/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|tesseract(?:-ocr)?(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## tesseract 4.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tesseract
 Type: Package
 Title: Open Source OCR Engine
-Version: 4.1.1
+Version: 4.1.2
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'Tesseract' <https://opensource.google/projects/tesseract>: 
@@ -24,8 +24,8 @@
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-05-02 14:36:01 UTC; jeroen
+Packaged: 2021-09-17 12:27:27 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-05-10 16:10:02 UTC
+Date/Publication: 2021-09-18 13:20:02 UTC

## tesseract 4.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tesseract
 Type: Package
 Title: Open Source OCR Engine
-Version: 4.1.2
+Version: 4.2.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'Tesseract' <https://opensource.google/projects/tesseract>: 
@@ -18,14 +18,14 @@
         training data separately (tesseract-ocr-eng)
 Imports: Rcpp (>= 0.12.12), pdftools (>= 1.5), curl, rappdirs, digest
 LinkingTo: Rcpp
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Suggests: magick (>= 1.7), spelling, knitr, tibble, rmarkdown
 Encoding: UTF-8
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-09-17 12:27:27 UTC; jeroen
+Packaged: 2021-12-01 12:53:50 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-09-18 13:20:02 UTC
+Date/Publication: 2021-12-03 22:50:07 UTC

## tesseract 5.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tesseract
 Type: Package
 Title: Open Source OCR Engine
-Version: 4.2.0
+Version: 5.0.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'Tesseract' <https://opensource.google/projects/tesseract>: 
@@ -24,8 +24,8 @@
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-12-01 12:53:50 UTC; jeroen
+Packaged: 2022-01-10 08:38:44 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-12-03 22:50:07 UTC
+Date/Publication: 2022-01-10 12:40:06 UTC
